package com.liang.WT.service.impl;

import com.liang.WT.entity.ProjectEntity;
import com.liang.dao.WT.PrjProjectMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2025/3/27 17:01
 * @Version 1.0
 */
@Service("PrjProjectService")
public class PrjProjectServiceImpl implements com.liang.WT.service.PrjProjectService {


    @Resource
    private PrjProjectMapper projectMapper;

    @Override
    public int add(ProjectEntity project) {
        return this.projectMapper.add(project);
    }

    @Override
    public List<ProjectEntity> list(Map map) {
        return this.projectMapper.list(map);
    }

    @Override
    public int update(ProjectEntity project) {
        return this.projectMapper.update(project);
    }


}
